Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ispace
Class GroupSender

    java.lang.Object
      ix.ispace.GroupSender

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class GroupSender

extends java.lang.Object
implements java.awt.event.ActionListener

Nested Class Summary
`(package private) class` | `GroupSender.ButtonPanel`
`(package private) class` | `GroupSender.GroupPanel`
`(package private) class` | `GroupSender.SendingThread`

Field Summary
`protected IXAgent` | `agent`
`protected GroupSender.ButtonPanel` | `buttonPanel`
`protected ContactManager` | `contactManager`
`protected java.awt.Container` | `contentPane`
`protected Sendable` | `contents`
`protected javax.swing.JFrame` | `frame`
`protected java.util.List` | `groupNames`
`protected GroupSender.GroupPanel` | `groupPanel`

Constructor Summary
`GroupSender(IXAgent agent, Sendable contents)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`protected void` | `sendToSelectedGroup()`
`(package private) void` | `setUpFrame()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### agent

    protected IXAgent agent

### contents

    protected Sendable contents

### contactManager

    protected ContactManager contactManager

### groupNames

    protected java.util.List groupNames

### frame

    protected javax.swing.JFrame frame

### contentPane

    protected java.awt.Container contentPane

### groupPanel

    protected GroupSender.GroupPanel groupPanel

### buttonPanel

    protected GroupSender.ButtonPanel buttonPanel

Constructor Detail

### GroupSender

    public GroupSender(IXAgent agent,
                       Sendable contents)

Method Detail

### setUpFrame

    void setUpFrame()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### sendToSelectedGroup

    protected void sendToSelectedGroup()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD